.NET 4.0 Framework on Windows Core Server 2008 R2 - by bert_g

Status : 

  Fixed<br /><br />
		This item has been fixed in the current or upcoming version of this product.<br /><br />
		A more detailed explanation for the resolution of this particular item may have been provided in the comments section.

Sign in
to vote
ID 636645 Comments
Status Closed Workarounds
Type Suggestion Repros 0
Opened 1/18/2011 7:31:47 AM
Access Restriction Public


Please add support for .NET 4.0 Framework on Windows Core Server 2008 R2.

Until this is done, we have no choice but to not update to 4.0.

In http://social.msdn.microsoft.com/Forums/en/netfxsetup/thread/0cb922d1-b85e-43ba-b8ac-26400491480f, "Rabi Satter" states the reason for not supporting .NET 4.0 on Core server is "Only when a new version of Server Core is released can a new version of .NET be included.".  This is unacceptable.   I would have expected a more end user friendly response from MS instead of a "It's our way or no way" response.
Sign in to post a comment.
Posted by Microsoft on 4/15/2011 at 10:50 AM
.NET 4 can be installed on Windows 2008 R2 Server Core SP1. You can download it from: http://www.microsoft.com/downloads/en/details.aspx?FamilyID=c2794455-274d-4363-ade6-e69008a24d8a
Posted by Microsoft on 1/18/2011 at 7:58 AM
Thank you for your feedback, we are currently reviewing the issue you have submitted. If this issue is urgent, please contact support directly(http://support.microsoft.com)